ReplicatedContext.ReplApplContext (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.context.ReplicatedContext.ReplApplContext class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.context
Class ReplicatedContext.ReplApplContext

    java.lang.Object
      org.apache.catalina.core.ApplicationContext
          org.apache.catalina.ha.context.ReplicatedContext.ReplApplContext

All Implemented Interfaces:
  javax.servlet.ServletContext

Enclosing class:
  ReplicatedContext

    protected static class ReplicatedContext.ReplApplContext

extends ApplicationContext

Field Summary
`protected java.util.concurrent.ConcurrentHashMap` | `tomcatAttributes`

Fields inherited from class org.apache.catalina.core.ApplicationContext
`attributes`

Constructor Summary
`ReplicatedContext.ReplApplContext(java.lang.String basePath, ReplicatedContext context)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Return the value of the specified context attribute, if any; otherwise return `null`.
`java.util.AbstractMap` | `getAttributeMap()`
`java.util.Enumeration` | `getAttributeNames()` Return an enumeration of the names of the context attributes associated with this context.
`protected javax.servlet.ServletContext` | `getFacade()` Return the facade associated with this ApplicationContext.
`protected ReplicatedContext` | `getParent()`
`void` | `removeAttribute(java.lang.String name)` Remove the context attribute with the specified name, if any.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Bind the specified value with the specified context attribute name, replacing any existing value for that name.
`void` | `setAttributeMap(java.util.AbstractMap map)`

Methods inherited from class org.apache.catalina.core.ApplicationContext
`clearAttributes, getContext, getContext, getContextPath, getInitParameter, getInitParameterNames, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getReadonlyAttributes, getRealPath, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getResources, getServerInfo, getServlet, getServletContextName, getServletNames, getServlets, log, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tomcatAttributes

    protected java.util.concurrent.ConcurrentHashMap tomcatAttributes

Constructor Detail

### ReplicatedContext.ReplApplContext

    public ReplicatedContext.ReplApplContext(java.lang.String basePath,
                                             ReplicatedContext context)

Method Detail

### getParent

    protected ReplicatedContext getParent()

### getFacade

    protected javax.servlet.ServletContext getFacade()

  Description copied from class: `ApplicationContext`
  Return the facade associated with this ApplicationContext.

  Overrides:
    `getFacade` in class `ApplicationContext`

### getAttributeMap

    public java.util.AbstractMap getAttributeMap()

### setAttributeMap

    public void setAttributeMap(java.util.AbstractMap map)

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from class: `ApplicationContext`
  Remove the context attribute with the specified name, if any.

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletContext`
  Overrides:
    `removeAttribute` in class `ApplicationContext`
  Parameters:
    `name` - Name of the context attribute to be removed

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Description copied from class: `ApplicationContext`
  Bind the specified value with the specified context attribute name, replacing any existing value for that name.

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletContext`
  Overrides:
    `setAttribute` in class `ApplicationContext`
  Parameters:
    `name` - Attribute name to be bound
    `value` - New attribute value to be bound

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Description copied from class: `ApplicationContext`
  Return the value of the specified context attribute, if any; otherwise return `null`.

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletContext`
  Overrides:
    `getAttribute` in class `ApplicationContext`
  Parameters:
    `name` - Name of the context attribute to return
  Returns:
    an `Object` containing the value of the attribute, or `null` if no attribute exists matching the given name
  See Also:
    `ServletContext.getAttributeNames()`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Description copied from class: `ApplicationContext`
  Return an enumeration of the names of the context attributes associated with this context.

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletContext`
  Overrides:
    `getAttributeNames` in class `ApplicationContext`
  Returns:
    an `Enumeration` of attribute names
  See Also:
    `ServletContext.getAttribute(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.